mirror of
https://github.com/Ponce/slackbuilds
synced 2024-11-22 19:44:21 +01:00
network/miniupnpd: Updated for version 2.3.0.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
This commit is contained in:
parent
b601bc0a41
commit
2c2e470715
3 changed files with 12 additions and 70 deletions
|
@ -25,7 +25,7 @@
|
|||
cd $(dirname $0) ; CWD=$(pwd)
|
||||
|
||||
PRGNAM=miniupnpd
|
||||
VERSION=${VERSION:-2.1}
|
||||
VERSION=${VERSION:-2.3.0}
|
||||
BUILD=${BUILD:-1}
|
||||
TAG=${TAG:-_SBo}
|
||||
PKGTYPE=${PKGTYPE:-tgz}
|
||||
|
@ -81,14 +81,16 @@ find -L . \
|
|||
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
|
||||
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
|
||||
|
||||
patch -p1 < "$CWD/slackware-version.patch"
|
||||
CFLAGS="$SLKCFLAGS" \
|
||||
PREFIX=/usr \
|
||||
./configure \
|
||||
--ipv6
|
||||
|
||||
make -f Makefile.linux config.h
|
||||
CFLAGS="$SLKCFLAGS" \
|
||||
make
|
||||
PREFIX=/usr \
|
||||
|
||||
make -f Makefile.linux \
|
||||
CFLAGS="$SLKCFLAGS"
|
||||
|
||||
make -f Makefile.linux install \
|
||||
make install \
|
||||
MANINSTALLDIR=/usr/man/man8 \
|
||||
DESTDIR=$PKG
|
||||
|
||||
|
|
|
@ -1,8 +1,8 @@
|
|||
PRGNAM="miniupnpd"
|
||||
VERSION="2.1"
|
||||
VERSION="2.3.0"
|
||||
HOMEPAGE="http://miniupnp.free.fr/"
|
||||
DOWNLOAD="http://miniupnp.free.fr/files/miniupnpd-2.1.tar.gz"
|
||||
MD5SUM="91d0524bba6a839c05c22c9484ed9d0f"
|
||||
DOWNLOAD="http://miniupnp.free.fr/files/miniupnpd-2.3.0.tar.gz"
|
||||
MD5SUM="053a196ac7ba59e275e249d4173d6890"
|
||||
DOWNLOAD_x86_64=""
|
||||
MD5SUM_x86_64=""
|
||||
REQUIRES=""
|
||||
|
|
|
@ -1,60 +0,0 @@
|
|||
--- a/genconfig.sh 2018-05-05 10:09:05.942853150 +0200
|
||||
+++ b/genconfig.sh 2018-05-05 10:26:38.668441749 +0200
|
||||
@@ -274,28 +274,35 @@
|
||||
OS_VERSION=`grep ^base_version /etc/product | awk '{ print $3 }'`
|
||||
OS_URL=https://www.clearos.com/
|
||||
fi
|
||||
- # use lsb_release (Linux Standard Base) when available
|
||||
- LSB_RELEASE=`which lsb_release`
|
||||
- if [ 0 -eq $? ]; then
|
||||
- OS_NAME=`${LSB_RELEASE} -i -s`
|
||||
- OS_VERSION=`${LSB_RELEASE} -r -s`
|
||||
- case $OS_NAME in
|
||||
- Debian)
|
||||
- OS_URL=http://www.debian.org/
|
||||
- OS_VERSION=`${LSB_RELEASE} -c -s`
|
||||
- ;;
|
||||
- Ubuntu)
|
||||
- OS_URL=http://www.ubuntu.com/
|
||||
- OS_VERSION=`${LSB_RELEASE} -c -s`
|
||||
- ;;
|
||||
- Gentoo)
|
||||
- OS_URL=http://www.gentoo.org/
|
||||
- ;;
|
||||
- arch)
|
||||
- OS_URL=http://www.archlinux.org/
|
||||
- OS_VERSION=`uname -r`
|
||||
- ;;
|
||||
- esac
|
||||
+ # Slackware specific
|
||||
+ if [ -f /etc/os-release ]; then
|
||||
+ OS_NAME=$(cat /etc/os-release | grep ^NAME= | cut -d= -f 2 | sed -e 's/^"//' -e 's/"$//')
|
||||
+ OS_VERSION=$(cat /etc/os-release | grep ^VERSION= | cut -d= -f 2 | sed -e 's/^"//' -e 's/"$//')
|
||||
+ OS_URL=$(cat /etc/os-release | grep ^HOME_URL= | cut -d= -f 2 | sed -e 's/^"//' -e 's/"$//')
|
||||
+ else
|
||||
+ # otherwise use lsb_release (Linux Standard Base) when available
|
||||
+ LSB_RELEASE=`which lsb_release`
|
||||
+ if [ 0 -eq $? ]; then
|
||||
+ OS_NAME=`${LSB_RELEASE} -i -s`
|
||||
+ OS_VERSION=`${LSB_RELEASE} -r -s`
|
||||
+ case $OS_NAME in
|
||||
+ Debian)
|
||||
+ OS_URL=http://www.debian.org/
|
||||
+ OS_VERSION=`${LSB_RELEASE} -c -s`
|
||||
+ ;;
|
||||
+ Ubuntu)
|
||||
+ OS_URL=http://www.ubuntu.com/
|
||||
+ OS_VERSION=`${LSB_RELEASE} -c -s`
|
||||
+ ;;
|
||||
+ Gentoo)
|
||||
+ OS_URL=http://www.gentoo.org/
|
||||
+ ;;
|
||||
+ arch)
|
||||
+ OS_URL=http://www.archlinux.org/
|
||||
+ OS_VERSION=`uname -r`
|
||||
+ ;;
|
||||
+ esac
|
||||
+ fi
|
||||
fi
|
||||
echo "#define USE_IFACEWATCHER 1" >> ${CONFIGFILE}
|
||||
FW=netfilter
|
Loading…
Reference in a new issue